import java.util.Scanner;
public class InputValidityCheck{

// Demonstrating input validity checking
  public static void main(String[] args){
    Scanner scanner = new Scanner(System.in);
    double num;   
    do {  
            System.out.print("Enter a number > 0:  ");
            num = scanner.nextDouble();
            
            if(num <= 0)
               System.out.println("Sorry wrong input, try agin");
      
    } while(num <= 0) ;
  
    System.out.printf("%nThe Square root of %.2f is %.2f%n", num, Math.sqrt(num));
    System.out.printf("The Log base e of %.2f is %.2f%n", num, Math.log(num));
    System.out.printf("The Log base 10 of %.2f is %.2f%n", num, Math.log10(num));
  }
}
